#! /usr/local/bin/node
const axios = require('axios');
const chalk = require('chalk');
const https = require('https');
const crypto = require('crypto');

const allowLegacyRenegotiationforNodeJsOptions = {
    httpsAgent: new https.Agent({
      // for self signed you could also add
      // rejectUnauthorized: false,
      // allow legacy server
      secureOptions: crypto.constants.SSL_OP_LEGACY_SERVER_CONNECT,
    }),
  };
function getGoldPrice (){
    axios.get('https://www.mszxyh.com.cn/peweb/GoldPriceQry.do',{ ...allowLegacyRenegotiationforNodeJsOptions}).then(r=> {
        console.log(chalk.bgCyan('price: '),chalk.redBright(r.data.GoldCMBCIn))
        console.log(chalk.blue('-------------'))
        console.log(chalk.bgCyan('time: '),chalk.yellowBright(r.data.GoldDatetime))
    }).catch(e=> console.log(e))


}

getGoldPrice()